--- old/usr/src/tools/cw/cw.c	Tue Oct  7 15:48:35 2014
+++ new/usr/src/tools/cw/cw.c	Tue Oct  7 15:48:35 2014
@@ -20,6 +20,8 @@
  */
 
 /*
+ * Copyright 2014 Gary Mills
+ *
  * Copyright 2010 Sun Microsystems, Inc.  All rights reserved.
  * Use is subject to license terms.
  */
@@ -33,7 +35,7 @@
  */
 
 /* If you modify this file, you must increment CW_VERSION */
-#define	CW_VERSION	"1.29"
+#define	CW_VERSION	"1.30"
 
 /*
  * -#		Verbose mode
@@ -534,16 +536,6 @@
 	newae(h, "-Wextra");
 }
 
-static void
-optim_disable(struct aelist *h, int level)
-{
-	if (level >= 2) {
-		newae(h, "-fno-strict-aliasing");
-		newae(h, "-fno-unit-at-a-time");
-		newae(h, "-fno-optimize-sibling-calls");
-	}
-}
-
 /* ARGSUSED */
 static void
 Xamode(struct aelist *h)
@@ -1305,18 +1297,6 @@
 					level = atoi(arg + 3);
 					if (level > 5)
 						error(arg);
-					if (level >= 2) {
-						/*
-						 * For gcc-3.4.x at -O2 we
-						 * need to disable optimizations
-						 * that break ON.
-						 */
-						optim_disable(ctx->i_ae, level);
-						/*
-						 * limit -xO3 to -O2 as well.
-						 */
-						level = 2;
-					}
 					(void) snprintf(s, len, "-O%d", level);
 					newae(ctx->i_ae, s);
 					free(s);
